"use strict";

var _Object$defineProperty = require("@babel/runtime-corejs3/core-js-stable/object/define-property");

var _interopRequireDefault = require("@babel/runtime-corejs3/helpers/interopRequireDefault");

_Object$defineProperty(exports, "__esModule", {
  value: true
});

exports.default = void 0;

var _map = _interopRequireDefault(require("@babel/runtime-corejs3/core-js-stable/instance/map"));

var _exec = _interopRequireDefault(require("../../lib/cmd/exec"));

const gitAdd = async ({
  cwd,
  log
}, {
  files
}) => {
  if (files.length === 0) {
    return;
  }

  log.info('Add files to the staged:');
  log.info((0, _map.default)(files).call(files, file => `▸ ${file}`));
  await (0, _exec.default)({
    cmd: 'git',
    args: ['add', ...(0, _map.default)(files).call(files, file => file === '.' ? '.' : `"${file}"`)],
    cwd,
    log
  });
};

var _default = gitAdd;
exports.default = _default;