"use strict";

var _Object$defineProperty = require("@babel/runtime-corejs3/core-js-stable/object/define-property");

var _interopRequireDefault = require("@babel/runtime-corejs3/helpers/interopRequireDefault");

_Object$defineProperty(exports, "__esModule", {
  value: true
});

exports.default = void 0;

var _path = require("path");

var _access = _interopRequireDefault(require("../../lib/cmd/access"));

var _mkdir = _interopRequireDefault(require("../../lib/cmd/mkdir"));

const nodeFolder = async ({
  cwd,
  log
}, {
  folder
}) => {
  const path = (0, _path.join)(cwd, folder);
  const isExists = await (0, _access.default)(path);

  if (!isExists) {
    log.info(`Create the folder ${folder}`);
    await (0, _mkdir.default)(path);
  } else {
    log.info(`The folder ${folder} already existed`);
  }
};

var _default = nodeFolder;
exports.default = _default;