"use strict";

var _Object$defineProperty = require("@babel/runtime-corejs3/core-js-stable/object/define-property");

_Object$defineProperty(exports, "__esModule", {
  value: true
});

exports.default = void 0;

var _fs = require("fs");

const access = async (path, type = 'exists') => {
  let mode;

  switch (type) {
    case 'readable':
      // eslint-disable-next-line no-bitwise
      mode = _fs.constants.F_OK | _fs.constants.R_OK;
      break;

    case 'writable':
      // eslint-disable-next-line no-bitwise
      mode = _fs.constants.F_OK | _fs.constants.W_OK;
      break;

    default:
      mode = _fs.constants.F_OK;
  }

  try {
    await _fs.promises.access(path, mode);
    return true;
  } catch (error) {
    return false;
  }
};

var _default = access;
exports.default = _default;