"use strict";

var _Object$defineProperty = require("@babel/runtime-corejs3/core-js-stable/object/define-property");

var _interopRequireDefault = require("@babel/runtime-corejs3/helpers/interopRequireDefault");

_Object$defineProperty(exports, "__esModule", {
  value: true
});

exports.default = void 0;

var _promise = _interopRequireDefault(require("@babel/runtime-corejs3/core-js-stable/promise"));

var _map = _interopRequireDefault(require("@babel/runtime-corejs3/core-js-stable/instance/map"));

var _filter = _interopRequireDefault(require("@babel/runtime-corejs3/core-js-stable/instance/filter"));

var _path = require("path");

var _access = _interopRequireDefault(require("./access"));

const filterFile = async (cwd, file) => {
  const hasAccess = await (0, _access.default)((0, _path.join)(cwd, file));
  return hasAccess ? file : '';
};

const existFiles = async (files, cwd) => {
  const filterFiles = await _promise.default.all((0, _map.default)(files).call(files, file => filterFile(cwd, file)));
  return (0, _filter.default)(filterFiles).call(filterFiles, file => file !== '');
};

var _default = existFiles;
exports.default = _default;