"use strict";

var _Object$defineProperty = require("@babel/runtime-corejs3/core-js-stable/object/define-property");

var _interopRequireWildcard = require("@babel/runtime-corejs3/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime-corejs3/helpers/interopRequireDefault");

_Object$defineProperty(exports, "__esModule", {
  value: true
});

exports.default = void 0;

var _eslint = _interopRequireDefault(require("../../actions/tools/eslint"));

var _prettier = _interopRequireWildcard(require("../../actions/tools/prettier"));

var _tsc = _interopRequireDefault(require("../../actions/tools/tsc"));

const push = async argv => {
  await (0, _prettier.default)(argv, {
    write: false,
    extension: _prettier.extensionCi
  });
  await (0, _eslint.default)(argv, {
    write: false
  });
  await (0, _tsc.default)(argv, {
    mode: 'type-check'
  });
};

var _default = push;
exports.default = _default;