"use strict";

var _Object$defineProperty = require("@babel/runtime-corejs3/core-js-stable/object/define-property");

var _interopRequireDefault = require("@babel/runtime-corejs3/helpers/interopRequireDefault");

_Object$defineProperty(exports, "__esModule", {
  value: true
});

exports.default = void 0;

var _install = _interopRequireDefault(require("../../actions/npm/install"));

var _spinner = require("../../lib/cli/spinner");

const dependencieAction = async (argv, settings) => {
  await (0, _spinner.spinnerAction)((0, _install.default)(argv, {
    packages: settings.libraryProduction,
    mode: 'prod'
  }), 'Install prod dependencies');
  await (0, _spinner.spinnerAction)((0, _install.default)(argv, {
    packages: settings.libraryDevelopment,
    mode: 'dev'
  }), 'Install dev dependencies');
};

var _default = dependencieAction;
exports.default = _default;