"use strict";

var _Object$defineProperty = require("@babel/runtime-corejs3/core-js-stable/object/define-property");

var _interopRequireDefault = require("@babel/runtime-corejs3/helpers/interopRequireDefault");

_Object$defineProperty(exports, "__esModule", {
  value: true
});

exports.default = void 0;

var _exec = _interopRequireDefault(require("../../lib/cmd/exec"));

const gitCommit = async ({
  cwd,
  log
}, {
  msg
}) => {
  log.info(`Make a commit with the message "${msg}"`);
  await (0, _exec.default)({
    cmd: 'git',
    args: ['commit', '-m', `"${msg}"`],
    cwd,
    log
  });
};

var _default = gitCommit;
exports.default = _default;