"use strict";

var _Object$defineProperty = require("@babel/runtime-corejs3/core-js-stable/object/define-property");

var _interopRequireDefault = require("@babel/runtime-corejs3/helpers/interopRequireDefault");

_Object$defineProperty(exports, "__esModule", {
  value: true
});

exports.default = void 0;

var _path = require("path");

var _access = _interopRequireDefault(require("../../lib/cmd/access"));

var _writeFile = _interopRequireDefault(require("../../lib/cmd/writeFile"));

const nodeFile = async ({
  cwd,
  log
}, {
  file
}) => {
  const path = (0, _path.join)(cwd, file);
  const isExists = await (0, _access.default)(path);

  if (!isExists) {
    log.info(`Create the file ${file}`);
    await (0, _writeFile.default)(path, '');
  } else {
    log.info(`The file ${file} already existed`);
  }
};

var _default = nodeFile;
exports.default = _default;