"use strict";

var _Object$defineProperty = require("@babel/runtime-corejs3/core-js-stable/object/define-property");

var _interopRequireDefault = require("@babel/runtime-corejs3/helpers/interopRequireDefault");

_Object$defineProperty(exports, "__esModule", {
  value: true
});

exports.default = void 0;

var _path = require("path");

var _access = _interopRequireDefault(require("../../lib/cmd/access"));

var _exec = _interopRequireDefault(require("../../lib/cmd/exec"));

var _packageUpdate = _interopRequireDefault(require("./packageUpdate"));

const npmInit = async (argv, {
  settings
}) => {
  const path = (0, _path.join)(argv.cwd, 'package.json');
  const isExists = await (0, _access.default)(path);

  if (!isExists) {
    argv.log.info('Initialize the package.json');
    await (0, _exec.default)({ ...argv,
      cmd: 'npm',
      args: ['init', '-y']
    });
    await (0, _packageUpdate.default)(argv, {
      settings
    });
  } else {
    argv.log.info('package.json already exists');
  }
};

var _default = npmInit;
exports.default = _default;