import { CommandModuleBuilder, CommandModuleDescribe, CommandModuleCommand, CommandModuleHandler } from '../lib/cli/yargs';
import { Props as MessageProps } from './git/msg';
export declare const command: CommandModuleCommand;
export declare const desc: CommandModuleDescribe;
declare const mode: readonly ["msg", "commit", "push"];
declare type Props = {
    readonly edit: MessageProps['edit'] | undefined;
    readonly hook: typeof mode[number];
};
export declare const builder: CommandModuleBuilder<Props>;
export declare const handler: CommandModuleHandler<Props>;
export {};
